Skip to content
Proud to collaborate with Microsoft for Startups

docusign.signing-groups.put-signing-group ​

Updates signing group name and member information. You can also add new members to the signing group. A signing group can have a maximum of 50 members.

Updates a signing group.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
signinggroupidstringYes—The ID of the signing group.
createdstringNo—The UTC DateTime when the signing group was created. This property is read-only.
createdbystringNo—The name of the user who created the signing group. This property is read-only.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
groupemailstringNo—The email address for the signing group. You can use a group email address to email all of the group members at the same time.
groupnamestringNo—The name of the group.
grouptypestringNo—The type of the group. The only valid value for this request is sharedSigningGroup.
modifiedstringNo—The UTC DateTime when the signing group was last modified. This property is read-only.
modifiedbystringNo—The user ID (GUID) of the user who last modified this user record. This property is read-only.
signinggroupid_2stringNo—The ID of the signing group.
userslistNo—User management information.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
signinggroupidstringYes—The ID of the signing group.
createdstringNo—The UTC DateTime when the signing group was created. This property is read-only.
createdbystringNo—The name of the user who created the signing group. This property is read-only.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
groupemailstringNo—The email address for the signing group. You can use a group email address to email all of the group members at the same time.
groupnamestringNo—The name of the group.
grouptypestringNo—The type of the group. The only valid value for this request is sharedSigningGroup.
modifiedstringNo—The UTC DateTime when the signing group was last modified. This property is read-only.
modifiedbystringNo—The user ID (GUID) of the user who last modified this user record. This property is read-only.
signinggroupid_2stringNo—The ID of the signing group.
userslistNo—User management information.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/signing_groups/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/signing_groups/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.signing-groups.put-signing-group",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "signinggroupid": "value"
  }
}